From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/rocminfo/
Date: Sat, 08 Feb 2025 10:07:13 +0000 (UTC) [thread overview]
Message-ID: <1739009228.b636d2edebb03ae092b0fc78288a403fdbd067c4.patrick@gentoo> (raw)
commit: b636d2edebb03ae092b0fc78288a403fdbd067c4
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 7 15:03:55 2025 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Feb 8 10:07:08 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b636d2ed
dev-util/rocminfo: add 6.3.2
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>
dev-util/rocminfo/Manifest | 1 +
dev-util/rocminfo/rocminfo-6.3.2.ebuild | 48 +++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-util/rocminfo/Manifest b/dev-util/rocminfo/Manifest
index 0b0230786833..a077991ec146 100644
--- a/dev-util/rocminfo/Manifest
+++ b/dev-util/rocminfo/Manifest
@@ -2,3 +2,4 @@ DIST rocminfo-5.7.1.tar.gz 17302 BLAKE2B 395c695ed0b79c771c4240310c457aec893ffd8
DIST rocminfo-6.1.1.tar.gz 17740 BLAKE2B 6331054e1c8a59f2d4246c3fcb999afc28a8cabea9d5faf2b95d767f7153ab0930a633ee630cabc4472413a8a54fd9ef798516baa77e94aabda7687a36bf312f SHA512 d2982874ad09bfbe15418a88c2d3360f9bce262674d50f5858a08e52dd266e255f95116c85e069d7e8d28cb323164fb6999c5834163105f33e0c773aede4efdf
DIST rocminfo-6.1.2.tar.gz 17734 BLAKE2B d92816dc0657a2ec0f04024311b5a7851a3cd487d73b496bfdb32ffe69cae957798f49622e477e5d0b47ac4ff86c2bba9a46e86228823f85da2d9f5376b6aef9 SHA512 fa1890797a89d67d18f29d73d213d68bcd31c7fd2b2cee89148b8dbd6fe7552e270af0582c7a50e80adc399197b3dc1cb5e858b1e983411079d088fc947c8c88
DIST rocminfo-6.3.0.tar.gz 27543 BLAKE2B e922ffe8394cad903f0ce3a2fafda37dc3836403e399a2ce2d14b1deb52db312381cb23b8dd6a3fc084fd005546d000df41e5ebbe02395046844efc4882f236b SHA512 4466385f79db88ccdeadc8f950a529d983f59c0fd8bc8ac2c1ba79b1f4ef833782cf645f6176b2c2369a54702649daffa595aaae81cf1f30178c5a99f69bbe61
+DIST rocminfo-6.3.2.tar.gz 27216 BLAKE2B cd991b7c4819d8b7330c7a096a7304010adc334d3ce212edd6f80527adcfd2478586efa851e3ea11a723c35b845567a50c184ea73fd8f47f99a5fada4011c298 SHA512 a23ed64399782f4078836c4c2a71e198463d53bd0526598e91e9eeed0c6690d01f1cad780cd9810b6528843e5eb78c1460997a5b2efab40e717979a4309f7a1b
diff --git a/dev-util/rocminfo/rocminfo-6.3.2.ebuild b/dev-util/rocminfo/rocminfo-6.3.2.ebuild
new file mode 100644
index 000000000000..626fe2cf9a82
--- /dev/null
+++ b/dev-util/rocminfo/rocminfo-6.3.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} python3_13t )
+inherit cmake python-r1
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/ROCm/rocminfo/"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/ROCm/rocminfo/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/rocminfo-rocm-${PV}"
+fi
+
+DESCRIPTION="ROCm Application for Reporting System Info"
+HOMEPAGE="https://github.com/ROCm/rocminfo"
+LICENSE="UoI-NCSA"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND=">=dev-libs/rocr-runtime-${PV}
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.0.0-detect-builtin-amdgpu.patch"
+)
+
+src_prepare() {
+ sed -e "/CPACK_RESOURCE_FILE_LICENSE/d" -i CMakeLists.txt || die
+ sed -e "/num_change_since_prev_pkg(/cset(NUM_COMMITS 0)" \
+ -i cmake_modules/utils.cmake || die # Fix QA issue on "git not found"
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=( -DROCRTST_BLD_TYPE=Release )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ rm "${ED}/usr/bin/rocm_agent_enumerator" || die
+ python_foreach_impl python_doexe rocm_agent_enumerator "${BUILD_DIR}"/rocm_agent_enumerator
+}
next reply other threads:[~2025-02-08 10:07 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-08 10:07 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-04 10:55 [gentoo-commits] repo/gentoo:master commit in: dev-util/rocminfo/ Patrick Lauer
2024-07-28 8:04 Patrick Lauer
2023-12-23 16:10 罗百科
2023-10-25 9:10 罗百科
2023-10-09 13:34 罗百科
2023-08-03 17:12 Andreas Sturmlechner
2023-03-11 16:26 Sam James
2023-03-02 16:30 罗百科
2022-12-20 9:26 罗百科
2022-12-19 14:00 Andreas Sturmlechner
2022-03-26 0:27 Sam James
2022-03-22 4:09 Benda XU
2021-06-28 20:05 Craig Andrews
2021-03-28 21:20 Craig Andrews
2020-12-21 12:55 Craig Andrews
2020-12-06 19:04 Craig Andrews
2020-11-14 21:02 Craig Andrews
2020-09-22 18:00 Craig Andrews
2020-08-25 21:08 Craig Andrews
2020-08-24 17:20 Craig Andrews
2020-08-22 18:08 Craig Andrews
2020-06-06 18:00 Craig Andrews
2020-03-31 16:36 Craig Andrews
2020-02-27 13:26 Craig Andrews
2019-12-17 18:46 Craig Andrews
2019-11-24 17:10 Craig Andrews
2019-10-01 20:42 Craig Andrews
2019-09-25 18:14 Craig Andrews
2019-09-25 18:14 Craig Andrews
2019-08-15 17:29 Craig Andrews
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1739009228.b636d2edebb03ae092b0fc78288a403fdbd067c4.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox